using System;
using System.Collections.Generic;
using System.Linq;
using Windows.UI.Xaml.Controls;
using C1.Chart;

namespace FinancialChartExplorer
{
    /// <summary>
    /// Interaction logic for TrendLines.xaml
    /// </summary>
    public partial class TrendLines : Page
    {
        DataService dataSerivice = DataService.GetService();

        public TrendLines()
        {
            InitializeComponent();
        }

        public List<Quote> Data
        {
            get
            {
                return dataSerivice.GetSymbolData("box");
            }
        }

        public List<string> FitType
        {
            get
            {
                return new List<string> { "Linear", "Exponent", "Polynom",
                    "AverageX", "MinX", "MaxX", "AverageY", "MinY", "MaxY"};
            }
        }
    }
}
